| Home | Libraries | People | FAQ | More

## Function template for_each_n

boost::compute::for_each_n

## Synopsis

    // In header: <boost/compute/algorithm/for_each_n.hpp>

    template<typename InputIterator, typename Size, typename UnaryFunction>
      UnaryFunction
      for_each_n(InputIterator first, Size count, UnaryFunction function,
                 command_queue & queue = system::default_queue());

## Description

Calls `function` on each element in the range [`first`, `first` `+` `count`).

Space complexity: \Omega(1)

See Also: for_each()